rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 1543 3 3 6 5 0" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 8245425 3 4 7 4 0" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 2346 5 8 23 5 0" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 83465 6 8 30 10 1" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 9475 5 4 13 6 2" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 3756 6 6 31 7 1" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 2562 6 6 25 5 2" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 94756 10 14 123 8 0" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 37595 100 10 780 9 0" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 925 10 100 700 10 2" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 92357 10 15 113 15 1" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 72858 20 10 143 15 1" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 239017 73 2000 1013 10 2" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 84341 1000 50 20000 13 0" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 736462 5000 6000 20000 15 0" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 93474 5000 5000 100000 15 0" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 86458 7000 10 60000 15 0" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 23456 7000 7000 100000 15 2" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 928635 80000 100 100000 15 0" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 346724 100 80000 100000 15 0" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 24572 50000 50000 100000 15 2" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen_rand.exe 62356 80000 30000 100000 15 2" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen_max.exe 735742 0" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen_max.exe 23563 1" "tests\27" 27
call scripts\gen-answer.bat tests\01 tests\01.a
call scripts\gen-answer.bat tests\02 tests\02.a
call scripts\gen-answer.bat tests\03 tests\03.a
call scripts\gen-answer.bat tests\04 tests\04.a
call scripts\gen-answer.bat tests\05 tests\05.a
call scripts\gen-answer.bat tests\06 tests\06.a
call scripts\gen-answer.bat tests\07 tests\07.a
call scripts\gen-answer.bat tests\08 tests\08.a
call scripts\gen-answer.bat tests\09 tests\09.a
call scripts\gen-answer.bat tests\10 tests\10.a
call scripts\gen-answer.bat tests\11 tests\11.a
call scripts\gen-answer.bat tests\12 tests\12.a
call scripts\gen-answer.bat tests\13 tests\13.a
call scripts\gen-answer.bat tests\14 tests\14.a
call scripts\gen-answer.bat tests\15 tests\15.a
call scripts\gen-answer.bat tests\16 tests\16.a
call scripts\gen-answer.bat tests\17 tests\17.a
call scripts\gen-answer.bat tests\18 tests\18.a
call scripts\gen-answer.bat tests\19 tests\19.a
call scripts\gen-answer.bat tests\20 tests\20.a
call scripts\gen-answer.bat tests\21 tests\21.a
call scripts\gen-answer.bat tests\22 tests\22.a
call scripts\gen-answer.bat tests\23 tests\23.a
call scripts\gen-answer.bat tests\24 tests\24.a
call scripts\gen-answer.bat tests\25 tests\25.a
call scripts\gen-answer.bat tests\26 tests\26.a
call scripts\gen-answer.bat tests\27 tests\27.a

